# -*- coding: utf-8 -*-

DOCUMENTATION = '''
module: win_winget
author:
  - "Kenneth Benzie (Benie)"
short_desription: Manages packages with WinGet
description:
  - Magage packages using WinGet.
options:
  name:
    description:
      - Name of the package to manage.
    type: str
  state:
    description:
      - Indicates the desired package state. V(latest) ensures that the latest
        version is installed.
    type: str
    choices: [ absent, present, latest ]
    default: present
'''

EXAMPLES = '''
- name: Install Apple Music
  win_winget:
    name: Apple Music
    state: present

- name: Install latest version of Neovim Qt
  win_winget:
    name: neovim-qt
    state: latest

- name: Uninstall Microsoft OneDrive
  win_winget:
    id: Microsoft.OneDrive
    state: absent
'''

RETURN = '''
stdout:
  description: Output from WinGet.
  returned: Success, when needed.
  type: str
  sample: ''
'''
